import request from '@/utils/request'

// 查询IpnLog列表
export function listIpnlog(query) {
  return request({
    url: '/system/ipnlog/list',
    method: 'get',
    params: query
  })
}

// 查询IpnLog详细
export function getIpnlog(id) {
  return request({
    url: '/system/ipnlog/' + id,
    method: 'get'
  })
}

// 新增IpnLog
export function addIpnlog(data) {
  return request({
    url: '/system/ipnlog',
    method: 'post',
    data: data
  })
}

// 修改IpnLog
export function updateIpnlog(data) {
  return request({
    url: '/system/ipnlog',
    method: 'put',
    data: data
  })
}

// 删除IpnLog
export function delIpnlog(id) {
  return request({
    url: '/system/ipnlog/' + id,
    method: 'delete'
  })
}
